Index: code/branches/presentation/src/orxonox/controllers/Controller.h
===================================================================
--- code/branches/presentation/src/orxonox/controllers/Controller.h	(revision 8578)
+++ code/branches/presentation/src/orxonox/controllers/Controller.h	(revision 8579)
@@ -52,10 +52,4 @@
             virtual inline void hit(Pawn* originator, btManifoldPoint& contactpoint, float damage) {};
 
-/* Override needed for different visual effects (e.g. in "NewHumanController.cc") depending on
-   the DIFFERENT AMOUNT OF DAMAGE done to the shield and to the health of "victim" (see Projectile.cc, Pawn.cc)
-
-//            virtual inline void hit(Pawn* originator, btManifoldPoint& contactpoint, float damage, float healthdamage, float shielddamage) {};
-*/
-
             void setGodMode( bool mode ){ this->bGodMode_ = mode; }
             bool getGodMode(){ return this->bGodMode_; }
Index: code/branches/presentation/src/orxonox/controllers/HumanController.cc
===================================================================
--- code/branches/presentation/src/orxonox/controllers/HumanController.cc	(revision 8578)
+++ code/branches/presentation/src/orxonox/controllers/HumanController.cc	(revision 8579)
@@ -42,5 +42,4 @@
     extern const std::string __CC_fire_name = "fire";
     extern const std::string __CC_suicide_name = "suicide";
-    const std::string __CC_boost_name = "boost";
 
     SetConsoleCommand("HumanController", "moveFrontBack",          &HumanController::moveFrontBack ).addShortcut().setAsInputCommand();
@@ -52,5 +51,5 @@
     SetConsoleCommand("HumanController", __CC_fire_name,           &HumanController::fire          ).addShortcut().keybindMode(KeybindMode::OnHold);
     SetConsoleCommand("HumanController", "reload",                 &HumanController::reload        ).addShortcut();
-    SetConsoleCommand("HumanController", __CC_boost_name,          &HumanController::keepBoost     ).addShortcut().keybindMode(KeybindMode::OnHold);
+    SetConsoleCommand("HumanController", "boost",                  &HumanController::boost         ).addShortcut().keybindMode(KeybindMode::OnHold);
     SetConsoleCommand("HumanController", "greet",                  &HumanController::greet         ).addShortcut();
     SetConsoleCommand("HumanController", "switchCamera",           &HumanController::switchCamera  ).addShortcut();
@@ -67,5 +66,4 @@
 
     HumanController* HumanController::localController_s = 0;
-    /*static*/ const float HumanController::BOOSTING_TIME = 0.1f;
 
     HumanController::HumanController(BaseObject* creator) : Controller(creator)
@@ -73,10 +71,7 @@
         RegisterObject(HumanController);
 
-        this->controlPaused_ = false;
-        this->boosting_ = false;
+        controlPaused_ = false;
 
         HumanController::localController_s = this;
-        this->boostingTimeout_.setTimer(HumanController::BOOSTING_TIME, false, createExecutor(createFunctor(&HumanController::terminateBoosting, this)));
-        this->boostingTimeout_.stopTimer();
     }
 
@@ -168,47 +163,8 @@
     }
 
-    /**
-    @brief
-        Static method,keeps boosting.
-    */
-    /*static*/ void HumanController::keepBoost()
-    {
-        if (HumanController::localController_s && HumanController::localController_s->controllableEntity_)
-            HumanController::localController_s->keepBoosting();
-    }
-    
-    /**
-    @brief
-        Starts, or keeps the boosting mode.
-        Resets the boosting timeout and ells the ControllableEntity to boost (or not boost anymore).
-    */
-    void HumanController::keepBoosting(void)
-    {
-        if(this->boostingTimeout_.isActive())
-        {
-            this->boostingTimeout_.stopTimer();
-            this->boostingTimeout_.startTimer();
-        }
-        else
-        {
-            this->boosting_ = true;
-            this->boostingTimeout_.startTimer();
-            
-            this->controllableEntity_->boost(this->boosting_);
-            COUT(4) << "Start boosting" << endl;
-        }
-    }
-
-    /**
-    @brief
-        Terminates the boosting mode.
-    */
-    void HumanController::terminateBoosting(void)
-    {
-        this->boosting_ = false;
-        this->boostingTimeout_.stopTimer();
-
-        this->controllableEntity_->boost(this->boosting_);
-        COUT(4) << "Stop boosting" << endl;
+    void HumanController::boost()
+    {
+        if (HumanController::localController_s && HumanController::localController_s->controllableEntity_)
+            HumanController::localController_s->controllableEntity_->boost();
     }
 
Index: code/branches/presentation/src/orxonox/controllers/HumanController.h
===================================================================
--- code/branches/presentation/src/orxonox/controllers/HumanController.h	(revision 8578)
+++ code/branches/presentation/src/orxonox/controllers/HumanController.h	(revision 8579)
@@ -32,5 +32,4 @@
 #include "OrxonoxPrereqs.h"
 
-#include "tools/Timer.h"
 #include "tools/interfaces/Tickable.h"
 #include "Controller.h"
@@ -65,14 +64,5 @@
             static void reload();
 
-            static void keepBoost(); // Static method, keeps boosting.
-            /**
-            @brief Check whether the HumanController is in boosting mode.
-            @return Returns true if it is, false if not.
-            */
-            inline bool isBoosting(void)
-                { return this->boosting_; }
-            void keepBoosting(void);
-            void terminateBoosting(void);
-            
+            static void boost();
             static void greet();
             static void switchCamera();
@@ -102,10 +92,4 @@
             static HumanController* localController_s;
             bool controlPaused_;
-        
-        private:
-            bool boosting_; // Whether the HumanController is in boosting mode or not.
-            Timer boostingTimeout_; // A timer to check whether the player is no longer boosting.
-            static const float BOOSTING_TIME; // The time after it is checked, whether the player is no longer boosting.
-
     }; // tolua_export
 } // tolua_export
